/*
 * Copyright (C) 2005  Network Applied Communication Laboratory Co., Ltd.
 *
 * This file is part of Rast.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 */

#ifndef RAST_STRING_H
#define RAST_STRING_H

#include <apr_pools.h>

typedef struct {
    apr_pool_t *pool;
    apr_pool_t *sub_pool;
    char *ptr;
    int len;
    int capacity;
} rast_string_t;

rast_string_t *rast_string_create(apr_pool_t *pool,
                                  const char *s, int nbytes, int capacity);
void rast_string_append(rast_string_t *string, const char *s, int nbytes);

#endif

/* vim: set filetype=c sw=4 expandtab : */
